### Method

# Camel FolderSummary get_info_flags

since: 3.12

#### Declaration [src]

    guint32
    camel_folder_summary_get_info_flags (
      CamelFolderSummary* summary,
      const gchar* uid
    )

#### Description [src]

Retrieve CamelMessageInfo::flags for a message info with UID `uid`. This is much quicker than camel_folder_summary_get(), because it doesn’t require reading the message info from a disk.

Available since: 3.12

#### Parameters

`uid`

  Type: `const gchar*`

  A uid.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `guint32`

The flags currently stored for message info with UID `uid`, or (~0) on error.